Bug 1645714 - [RFE] [Code Cleanup] Incorporate filtering/sorting/pagination abstraction with PlanRequestDetailList
Summary: [RFE] [Code Cleanup] Incorporate filtering/sorting/pagination abstraction wit...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: GA
: 5.10.0
Assignee: Brett Thurber
QA Contact: Kedar Kulkarni
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-02 22:59 UTC by Mike Turley
Modified: 2019-02-07 23:04 UTC (History)
5 users (show)

Fixed In Version: 5.10.0.24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:56 UTC
Category: ---
Cloudforms Team: V2V
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:04:01 UTC

Description Mike Turley 2018-11-02 22:59:38 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Mike Turley 2018-11-02 23:00:38 UTC
GH Issue: https://github.com/ManageIQ/manageiq-v2v/issues/761
GH PR: https://github.com/ManageIQ/manageiq-v2v/pull/763

This is a refactor with no new functionality. To test it, we should verify that the filtering, sorting and pagination still work correctly in the list view displayed on the detail page for a migration plan that has been started or completed.

Comment 3 CFME Bot 2018-11-08 18:06:54 UTC
New commit detected on ManageIQ/manageiq-v2v/hammer:

https://github.com/ManageIQ/manageiq-v2v/commit/6fb60819014cd4ec1e6e92049d3ee7d15e1cbfb9
commit 6fb60819014cd4ec1e6e92049d3ee7d15e1cbfb9
Author:     Michael Ro <mikerodev@gmail.com>
AuthorDate: Tue Nov  6 16:04:14 2018 -0500
Commit:     Michael Ro <mikerodev@gmail.com>
CommitDate: Tue Nov  6 16:04:14 2018 -0500

    Merge pull request #763 from mturley/761-filter-paginate-plan-request

    [#761] [Code Cleanup] Incorporate <ListViewToolbar /> with PlanRequestDetailList

    (cherry picked from commit 55244b764666572e92ab5cbc05eabd94219c0559)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1645714

 app/javascript/react/screens/App/Plan/Plan.js | 75 +-
 app/javascript/react/screens/App/Plan/components/PlanRequestDetailList/PlanRequestDetailList.js | 323 +-
 app/javascript/react/screens/App/common/ListViewToolbar/ListViewToolbar.js | 30 +-
 3 files changed, 97 insertions(+), 331 deletions(-)

Comment 4 Kedar Kulkarni 2018-11-16 21:17:12 UTC
Sorting/Searching/Filtering seems to work as expected on 5.10.0.24

Comment 5 errata-xmlrpc 2019-02-07 23:03:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.